bcr_test_module:
  module_path: ""
  matrix:
    platform:
      - debian10
      - macos
      - ubuntu2004
      - windows
    bazel:
      - 7.x
      - 8.x
  tasks:
    verify_instrumentation:
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - "--@codspeed_core//:codspeed_mode=instrumentation"
      build_targets:
        - "//:benchmark"
        - "//:benchmark_main"
    verify_walltime:
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - "--@codspeed_core//:codspeed_mode=walltime"
      build_targets:
        - "//:benchmark"
        - "//:benchmark_main"
